My Oracle Support Banner

GGSCI: Unable To Open Credential Store. Error Code 29,231 After Applying RDBMS APR-2021 Patch While Using FIPS. (Doc ID 2782150.1)

Last updated on JUNE 04, 2021

Applies to:

Oracle GoldenGate - Version 12.3.0.1.0 to 19.1.0.0.4 [Release 12.3]
Information in this document applies to any platform.

Symptoms

GoldenGate cannot login/authenticate into DB after applying APR 2021 when using FIPs cryptoengine in GLOBALS:

2021-05-27T17:21:18.441-0000 ERROR OGG-00219 Oracle GoldenGate Delivery for Oracle, SOCREP.prm: Invalid value for USERIDALIAS: Unable to open credential store. Error code 29,231.

 

 From GGSCI you will find:

GGSCI 1> dblogin USERIDALIAS TSTREP DOMAIN TST
ERROR: Unable to open credential store. Error code 29,231..

 
Note other ggsci commands will fail as well:

GGSCI 2> open wallet
2021-06-03T23:19:37Z ERROR OGG-06128 Oracle Wallet cannot be opened.

GGSCI 3> add credentialstore.
2021-06-03T23:20:22Z ERROR: Unable to create a new credential store

 

 

 

Changes

 Installed quarterly RDBMS APR-2021 patch.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.